{"components":{"responses":{},"schemas":{"User":{"example":{"avatar_url":"https://example.com/avatar.jpg","display_name":"John Doe","email":"john@example.com","first_day_of_week":1,"first_name":"John","id":"user_01J5KC6T9PKRFGT8V2WD9Y8H6X","last_name":"Doe","plan":"premium","time_format":"12hr","time_zone":"America/New_York"},"properties":{"avatar_url":{"format":"uri","nullable":true,"type":"string"},"display_name":{"type":"string"},"email":{"format":"email","type":"string"},"first_day_of_week":{"description":"`0` is Sunday and `1` is Monday.","enum":[0,1],"type":"integer"},"first_name":{"type":"string"},"id":{"type":"string"},"last_name":{"type":"string"},"plan":{"enum":["free","basic","premium"],"type":"string"},"time_format":{"enum":["12hr","24hr"],"type":"string"},"time_zone":{"type":"string"}},"required":["id","email","first_name","last_name","display_name","time_zone","time_format","first_day_of_week","plan"],"title":"User","type":"object"},"EventListResponse":{"example":{"entries":[{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"}],"metadata":{"after":"eyJpZCI6ImV2ZW50X2FiYzEyMyJ9","before":null,"limit":25}},"properties":{"entries":{"items":{"$ref":"#/components/schemas/Event"},"type":"array"},"metadata":{"$ref":"#/components/schemas/PaginationMeta"}},"required":["entries","metadata"],"title":"EventListResponse","type":"object"},"LinkListResponse":{"example":{"entries":[{"default_duration":30,"description":"<p>A brief meeting to discuss your needs</p>","durations":[15,30,45],"fields":[{"id":"field_123","is_required":true,"label":"Company","options":[],"type":"short_text"}],"id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","increment":15,"name":"30 Minute Meeting","private_name":"Quick sync with prospects","scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"slug":"30min","state":"active"}],"metadata":{"after":"eyJpZCI6ImxpbmtfYWJjMTIzIn0","before":null,"limit":25}},"properties":{"entries":{"items":{"$ref":"#/components/schemas/Link"},"type":"array"},"metadata":{"$ref":"#/components/schemas/PaginationMeta"}},"required":["entries","metadata"],"title":"LinkListResponse","type":"object"},"SingleEventResponse":{"allOf":[{"$ref":"#/components/schemas/Event"}],"example":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"title":"SingleEventResponse"},"CancelEventRequest":{"example":{"cancel_reason":"Schedule conflict"},"properties":{"cancel_reason":{"nullable":true,"type":"string"}},"title":"CancelEventRequest","type":"object"},"Webhook":{"example":{"created_at":"2024-01-15T10:30:00Z","id":"wh_01J5KC8V1MKRFGT8V2WD9Y8H6X","secret":"abc123","state":"active","url":"https://example.com/webhooks/savvycal","version":"2020-11-18"},"properties":{"created_at":{"format":"date-time","type":"string"},"id":{"type":"string"},"secret":{"description":"The key that signs each delivery. The `x-savvycal-signature` header is `sha256=` followed by the hex HMAC-SHA256 of the request body.","type":"string"},"state":{"enum":["active","disabled","deleted"],"type":"string"},"url":{"format":"uri","type":"string"},"version":{"type":"string"}},"required":["id","state","url","secret","version","created_at"],"title":"Webhook","type":"object","x-tags":["Webhooks"]},"Workflow":{"example":{"created_at":"2024-01-15T10:30:00Z","id":"wkflw_01J5KCGG7RKRFGT8V2WD9Y8H6X","name":"Send confirmation email","state":"active"},"properties":{"created_at":{"format":"date-time","type":"string"},"id":{"type":"string"},"name":{"type":"string"},"state":{"enum":["draft","active","paused"],"type":"string"}},"required":["id","name","state","created_at"],"title":"Workflow","type":"object","x-tags":["Workflows"]},"PollResponseCreatedWebhook":{"description":"Emitted when someone creates a new poll response.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"created_at":"2023-01-01T00:00:00Z","display_name":"John Doe","email":"john@example.com","first_name":"John","id":"pr_01J5KCDZ5PKRFGT8V2WD9Y8H6X","last_name":"Doe","poll":{"id":"poll_01J5KCBX3NKRFGT8V2WD9Y8H6X","name":"Meeting with John","slug":"meeting-with-john"},"slots":[{"end_at":"2023-01-01T01:00:00Z","start_at":"2023-01-01T00:00:00Z"}],"time_zone":"America/New_York"},"type":"poll.response.created","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/PollResponse"}],"type":"object"},"type":{"enum":["poll.response.created"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"PollResponseCreatedWebhook","type":"object"},"FieldOption":{"description":"A choice for a `checkboxes`, `radios`, or `select` field","example":{"id":"opt_abc","value":"1-10"},"properties":{"id":{"type":"string"},"value":{"type":"string"}},"required":["id","value"],"title":"FieldOption","type":"object"},"EventDeclinedWebhook":{"description":"Emitted when an event scheduled (with approval required) is declined.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"type":"event.declined","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"type":{"enum":["event.declined"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventDeclinedWebhook","type":"object"},"EventRequestedWebhook":{"description":"Emitted when someone requests a new event (with approval required).","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"type":"event.requested","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"type":{"enum":["event.requested"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventRequestedWebhook","type":"object"},"EventAttendeeRescheduledWebhook":{"description":"Emitted when someone reschedules their attendance for an event.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"new_attendee":{"display_name":"John Daker","email":"jdaker@example.com","fields":[],"first_name":"John","id":"attendee_7RDQF0G5VT8PAV4ERN90B5Q27Y","is_organizer":false,"last_name":"Daker","marketing_opt_in":false,"phone_number":"+15555555555","response_status":"accepted","time_zone":"America/New_York"},"new_event":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"original_attendee":{"display_name":"John Daker","email":"jdaker@example.com","fields":[],"first_name":"John","id":"attendee_7RDQF0G5VT8PAV4ERN90B5Q27Y","is_organizer":false,"last_name":"Daker","marketing_opt_in":false,"phone_number":"+15555555555","response_status":"accepted","time_zone":"America/New_York"},"original_event":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"}},"type":"event.attendee.rescheduled","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"properties":{"new_attendee":{"allOf":[{"$ref":"#/components/schemas/EventAttendee"}],"type":"object"},"new_event":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"original_attendee":{"allOf":[{"$ref":"#/components/schemas/EventAttendee"}],"type":"object"},"original_event":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"}},"required":["original_event","original_attendee","new_event","new_attendee"],"type":"object"},"type":{"enum":["event.attendee.rescheduled"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventAttendeeRescheduledWebhook","type":"object"},"CreateEventRequest":{"example":{"display_name":"Jane Smith","email":"jane@example.com","end_at":"2024-01-20T14:30:00Z","fields":[{"id":"field_123","label":"Company","type":"short_text","value":"Example Corp"},{"id":"field_456","label":"Company size","options":[{"id":"opt_abc","value":"1-10"}],"type":"select"}],"metadata":{"project_type":"Web Application","source":"website"},"phone_number":"+15555555555","start_at":"2024-01-20T14:00:00Z","time_zone":"America/New_York"},"properties":{"display_name":{"description":"The scheduler's full name.","type":"string"},"email":{"description":"The scheduler's email address.","format":"email","type":"string"},"end_at":{"format":"date-time","type":"string"},"fields":{"description":"The scheduler's answers to the scheduling link's custom fields. Get the fields from the [Get a scheduling link](/developers/v1/api/get-scheduling-link) endpoint.\n\nAnswer `short_text`, `long_text`, `url`, and `hidden` fields with `value`. Answer `checkboxes`, `radios`, and `select` fields with `options`, picked from the field's `options`. To select one option, you can instead put that option's exact text in `value`.\n","items":{"properties":{"id":{"description":"The field ID, as returned by the scheduling link.","type":"string"},"label":{"type":"string"},"options":{"description":"The selected options for a `checkboxes`, `radios`, or `select` field. Pass one option for `radios` and `select`.","items":{"$ref":"#/components/schemas/FieldOption"},"type":"array"},"type":{"enum":["short_text","long_text","checkboxes","radios","select","url","hidden"],"type":"string"},"value":{"description":"The answer for a `short_text`, `long_text`, `url`, or `hidden` field. For a `checkboxes`, `radios`, or `select` field sent without `options`, the exact text of the one option to select.","nullable":true,"type":"string"}},"required":["id","type","label"],"type":"object"},"type":"array"},"metadata":{"additionalProperties":true,"type":"object"},"phone_number":{"description":"The scheduler's phone number, formatted like `+15555555555` (optional unless \"Always gather phone number\" is enabled in the scheduling link settings).","nullable":true,"type":"string"},"start_at":{"format":"date-time","type":"string"},"time_zone":{"description":"The scheduler's local Olson time zone.","example":"America/New_York","type":"string"}},"required":["display_name","email","start_at","end_at","time_zone"],"title":"CreateEventRequest","type":"object"},"PaginationMeta":{"example":{"after":"eyJpZCI6ImxpbmtfYWJjMTIzIn0","before":null,"limit":25},"properties":{"after":{"description":"Pass as `after` to get the next page. `null` on the last page.","nullable":true,"type":"string"},"before":{"description":"Pass as `before` to get the previous page. `null` on the first page.","nullable":true,"type":"string"},"limit":{"type":"integer"}},"required":["limit"],"title":"PaginationMeta","type":"object"},"Error":{"description":"Validation errors. Keys are field names. Errors on nested fields use dotted and indexed keys, such as `fields[0].value`. Errors that apply to the whole request use the `base` key.\n","example":{"errors":{"email":[{"message":"can't be blank","validation":"required"}],"name":[{"count":2,"message":"should be at least 2 character(s)","validation":"length"}],"start_at":[{"message":"is invalid"}]}},"properties":{"errors":{"additionalProperties":{"items":{"properties":{"count":{"description":"The limit in a length or count validation","type":"integer"},"message":{"type":"string"},"validation":{"description":"The validation that failed, such as `required` or `format`","type":"string"}},"required":["message"],"type":"object"},"type":"array"},"type":"object"}},"required":["errors"],"title":"Error","type":"object"},"EventCheckoutExpiredWebhook":{"description":"Emitted when someone books a paid event, without paying and checkout expires.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"type":"event.checkout.expired","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"type":{"enum":["event.checkout.expired"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventCheckoutExpiredWebhook","type":"object"},"UpdateLinkRequest":{"example":{"description":"Updated meeting description","name":"Updated Meeting Name","private_name":"Internal updated name","type":"single"},"properties":{"description":{"description":"The short description visible on the scheduling link.","nullable":true,"type":"string"},"name":{"type":"string"},"private_name":{"description":"The private name of the link (not visible to schedulers).","nullable":true,"type":"string"},"slug":{"description":"The URL slug for the link. Letters, numbers, and dashes only, and unique within the scope.","type":"string"},"type":{"description":"Either `recurring` for Multi-Use links, or `single` for Single-Use links. Group links can't be `single`.","enum":["recurring","single"],"type":"string"}},"title":"UpdateLinkRequest","type":"object"},"EventCheckoutCompletedWebhook":{"description":"Emitted when someone books a paid event, after successful checkout.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"type":"event.checkout.completed","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"type":{"enum":["event.checkout.completed"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventCheckoutCompletedWebhook","type":"object"},"SingleWebhookResponse":{"allOf":[{"$ref":"#/components/schemas/Webhook"}],"example":{"created_at":"2024-01-15T10:30:00Z","id":"wh_01J5KC8V1MKRFGT8V2WD9Y8H6X","secret":"abc123","state":"active","url":"https://example.com/webhooks/savvycal","version":"2020-11-18"},"title":"SingleWebhookResponse"},"EventChangedWebhook":{"description":"Emitted any time an event is updated, providing details about the change.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"event":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"previous_attributes":{"state":"awaiting_approval"}},"type":"event.changed","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"properties":{"event":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"previous_attributes":{"description":"The previous values of the attributes that changed. A reschedule sets `start_at` and `end_at`, plus `state` when the state changed. A state change sets `state`. A buffer change sets `buffer_before` and `buffer_after`. Empty for other changes, such as an attendee joining or leaving, a response status update, or a location update.","type":"object"}},"required":["event","previous_attributes"],"type":"object"},"type":{"enum":["event.changed"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventChangedWebhook","type":"object"},"EventAttendeeAddedWebhook":{"description":"Emitted when someone joins an event.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"attendee":{"display_name":"John Daker","email":"jdaker@example.com","fields":[],"first_name":"John","id":"attendee_7RDQF0G5VT8PAV4ERN90B5Q27Y","is_organizer":false,"last_name":"Daker","marketing_opt_in":false,"phone_number":"+15555555555","response_status":"accepted","time_zone":"America/New_York"},"event":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"}},"type":"event.attendee.added","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"properties":{"attendee":{"allOf":[{"$ref":"#/components/schemas/EventAttendee"}],"type":"object"},"event":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"}},"required":["event","attendee"],"type":"object"},"type":{"enum":["event.attendee.added"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventAttendeeAddedWebhook","type":"object"},"EventRescheduledWebhook":{"description":"Emitted when an event is rescheduled.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"type":"event.rescheduled","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"type":{"enum":["event.rescheduled"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventRescheduledWebhook","type":"object"},"Payment":{"example":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"properties":{"amount_total":{"description":"Total amount charged (in cents)","nullable":true,"type":"integer"},"state":{"enum":["awaiting_checkout","paid"],"type":"string"},"url":{"description":"A link to the Stripe dashboard page for the payment (only available after checkout is completed)","format":"uri","nullable":true,"type":"string"}},"required":["state","url","amount_total"],"title":"Payment","type":"object","x-tags":["Events"]},"Link":{"example":{"default_duration":30,"description":"<p>A brief meeting to discuss your needs</p>","durations":[15,30,45],"fields":[{"id":"field_123","is_required":true,"label":"Company","options":[],"type":"short_text"}],"id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","increment":15,"name":"30 Minute Meeting","private_name":"Quick sync with prospects","scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"slug":"30min","state":"active"},"properties":{"default_duration":{"description":"Default duration in minutes","type":"integer"},"description":{"description":"Link description, as HTML. Empty when the link has no description.","type":"string"},"durations":{"description":"Durations in minutes","items":{"type":"integer"},"type":"array"},"fields":{"items":{"allOf":[{"$ref":"#/components/schemas/LinkField"}],"type":"object"},"type":"array"},"id":{"type":"string"},"increment":{"description":"Minutes between slot start times","type":"integer"},"name":{"description":"Public link name","type":"string"},"private_name":{"description":"Private link name. `null` when the current user can't edit the link or the link has no private name.","nullable":true,"type":"string"},"scope":{"allOf":[{"$ref":"#/components/schemas/ScopePreview"}],"type":"object"},"slug":{"type":"string"},"state":{"enum":["active","pending","disabled","archived","deleted"],"type":"string"}},"required":["id","state","slug","name","durations","default_duration","increment","fields"],"title":"Link","type":"object","x-tags":["Scheduling Links"]},"TimeZoneListResponse":{"example":[{"abbreviation":"CST","aliases":["US/Central"],"canonical":true,"dst":false,"formatted_offset":"-06:00","generic_long_name":"Central Time","golden":true,"id":"America/Chicago","legacy":false,"long_name":"Central Standard Time","metazone":{"exemplar_city":null,"long":{"current":"Central Standard Time","daylight":"Central Daylight Time","generic":"Central Time","standard":"Central Standard Time"},"name":"America_Central","short":{"current":"CST","daylight":"CDT","generic":"CT","standard":"CST"},"territories":["001"]},"offset":-21600,"offset_std":0,"offset_utc":-21600,"period":{"from":"2023-11-05T01:00:00-05:00","until":"2024-03-10T01:59:59.999999-06:00"},"windows_zone":{"name":"Central Standard Time"}},{"abbreviation":"CST","aliases":["US/Central"],"canonical":true,"dst":false,"formatted_offset":"-06:00","generic_long_name":"Central Time","golden":true,"id":"America/Chicago","legacy":false,"long_name":"Central Standard Time","metazone":{"exemplar_city":null,"long":{"current":"Central Standard Time","daylight":"Central Daylight Time","generic":"Central Time","standard":"Central Standard Time"},"name":"America_Central","short":{"current":"CST","daylight":"CDT","generic":"CT","standard":"CST"},"territories":["001"]},"offset":-21600,"offset_std":0,"offset_utc":-21600,"period":{"from":"2023-11-05T01:00:00-05:00","until":"2024-03-10T01:59:59.999999-06:00"},"windows_zone":{"name":"Central Standard Time"}}],"items":{"$ref":"#/components/schemas/TimeZone"},"title":"TimeZoneListResponse","type":"array"},"SingleLinkResponse":{"allOf":[{"$ref":"#/components/schemas/Link"}],"example":{"default_duration":30,"description":"<p>A brief meeting to discuss your needs</p>","durations":[15,30,45],"fields":[{"id":"field_123","is_required":true,"label":"Company","options":[],"type":"short_text"}],"id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","increment":15,"name":"30 Minute Meeting","private_name":"Quick sync with prospects","scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"slug":"30min","state":"active"},"title":"SingleLinkResponse"},"EventApprovedWebhook":{"description":"Emitted when an event scheduled (with approval required) is approved by the organizer.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"type":"event.approved","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"type":{"enum":["event.approved"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventApprovedWebhook","type":"object"},"CreateWebhookRequest":{"example":{"url":"https://example.com/webhooks/savvycal"},"properties":{"url":{"format":"uri","type":"string"}},"required":["url"],"title":"CreateWebhookRequest","type":"object"},"WorkflowListResponse":{"example":{"entries":[{"created_at":"2024-01-15T10:30:00Z","id":"wkflw_01J5KCGG7RKRFGT8V2WD9Y8H6X","name":"Send confirmation email","state":"active"},{"created_at":"2024-01-15T10:30:00Z","id":"wkflw_01J5KCGG7RKRFGT8V2WD9Y8H6X","name":"Send confirmation email","state":"active"}],"metadata":{"after":"eyJpZCI6IndvcmtmbG93X2FiYzEyMyJ9","before":null,"limit":25}},"properties":{"entries":{"items":{"$ref":"#/components/schemas/Workflow"},"type":"array"},"metadata":{"$ref":"#/components/schemas/PaginationMeta"}},"required":["entries","metadata"],"title":"WorkflowListResponse","type":"object"},"Event":{"example":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"properties":{"canceled_at":{"format":"date-time","nullable":true,"type":"string"},"rescheduled_at":{"format":"date-time","nullable":true,"type":"string"},"location_settings":{"description":"Each entry has a `type` and that type's settings.","items":{"additionalProperties":true,"properties":{"type":{"type":"string"}},"required":["type"],"type":"object"},"type":"array"},"description_settings":{"description":"Which details the calendar event description includes","properties":{"include_attendees":{"type":"boolean"},"include_fields":{"type":"boolean"},"include_link_name":{"type":"boolean"}},"required":["include_link_name","include_attendees","include_fields"],"type":"object"},"location":{"description":"The location on the calendar event: the event's location, or else the conferencing join URL or instructions.","nullable":true,"type":"string"},"buffer_before":{"description":"Buffer before the event, in minutes","type":"integer"},"additional_info":{"nullable":true,"type":"string"},"duration":{"description":"Duration in minutes","type":"integer"},"uuid":{"format":"uuid","type":"string"},"reschedule_reason":{"nullable":true,"type":"string"},"conferencing":{"properties":{"instructions":{"nullable":true,"type":"string"},"join_url":{"nullable":true,"type":"string"},"meeting_id":{"nullable":true,"type":"string"},"type":{"type":"string"}},"required":["type"],"type":"object"},"link":{"allOf":[{"$ref":"#/components/schemas/LinkPreview"}],"nullable":true,"type":"object"},"poll":{"allOf":[{"$ref":"#/components/schemas/PollPreview"}],"nullable":true,"type":"object"},"summary":{"description":"Event title","type":"string"},"original_end_at":{"description":"Original end time (if rescheduled)","format":"date-time","nullable":true,"type":"string"},"description":{"description":"The scheduling link's description at the time of booking, as HTML. Empty when there is no description.","type":"string"},"id":{"type":"string"},"cancel_reason":{"nullable":true,"type":"string"},"organizer":{"allOf":[{"$ref":"#/components/schemas/EventAttendee"}],"type":"object"},"is_group_session":{"description":"Whether this is a group session. `null` on some older events.","nullable":true,"type":"boolean"},"original_start_at":{"description":"Original start time (if rescheduled)","format":"date-time","nullable":true,"type":"string"},"start_at":{"format":"date-time","type":"string"},"url":{"description":"Public URL for the event","format":"uri","type":"string"},"payment":{"allOf":[{"$ref":"#/components/schemas/Payment"}],"nullable":true,"type":"object"},"maximum_group_size":{"description":"Maximum number of attendees for group session. `null` for events booked from a poll.","nullable":true,"type":"integer"},"end_at":{"format":"date-time","type":"string"},"state":{"enum":["confirmed","canceled","awaiting_reschedule","awaiting_checkout","checkout_expired","awaiting_approval","declined","tentative"],"type":"string"},"attendees":{"items":{"allOf":[{"$ref":"#/components/schemas/EventAttendee"}],"type":"object"},"type":"array"},"scheduler":{"allOf":[{"$ref":"#/components/schemas/EventAttendee"}],"description":"The person who booked the event. `null` for group sessions and events booked from a poll.","nullable":true,"type":"object"},"scope":{"allOf":[{"$ref":"#/components/schemas/ScopePreview"}],"nullable":true,"type":"object"},"buffer_after":{"description":"Buffer after the event, in minutes","type":"integer"},"metadata":{"description":"The custom `metadata` sent when the event was created.","type":"object"},"created_at":{"format":"date-time","type":"string"}},"required":["id","uuid","state","summary","description_settings","conferencing","created_at","start_at","end_at","duration","organizer","attendees","metadata","url","buffer_before","buffer_after","is_group_session","maximum_group_size"],"title":"Event","type":"object","x-tags":["Events"]},"LinkPreview":{"example":{"description":"<p>A brief meeting to discuss your needs</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"properties":{"description":{"description":"Link description, as HTML. Empty when the link has no description.","type":"string"},"id":{"type":"string"},"name":{"type":"string"},"private_name":{"description":"Private link name. `null` when the current user can't edit the link or the link has no private name.","nullable":true,"type":"string"},"slug":{"type":"string"}},"required":["id","name","slug","private_name","description"],"title":"LinkPreview","type":"object"},"MessageError":{"description":"Errors keyed by parameter name. Each value is a list of messages. Errors that apply to the whole request use the `base` key.","example":{"errors":{"until":["must be less than 31 days away from the `from` time"]}},"properties":{"errors":{"additionalProperties":{"items":{"type":"string"},"type":"array"},"type":"object"}},"required":["errors"],"title":"MessageError","type":"object"},"LinkSlotListResponse":{"example":[{"duration":30,"end_at":"2024-01-20T14:30:00Z","rank":1,"start_at":"2024-01-20T14:00:00Z"},{"duration":30,"end_at":"2024-01-20T15:00:00Z","rank":1,"start_at":"2024-01-20T14:30:00Z"}],"items":{"$ref":"#/components/schemas/LinkSlot"},"title":"LinkSlotListResponse","type":"array"},"EventAttendee":{"example":{"display_name":"John Daker","email":"jdaker@example.com","fields":[],"first_name":"John","id":"attendee_7RDQF0G5VT8PAV4ERN90B5Q27Y","is_organizer":false,"last_name":"Daker","marketing_opt_in":false,"phone_number":"+15555555555","response_status":"accepted","time_zone":"America/New_York"},"properties":{"display_name":{"example":"John Daker","type":"string"},"email":{"example":"jdaker@example.com","type":"string"},"fields":{"description":"The attendee's answers to the scheduling link's custom fields","items":{"$ref":"#/components/schemas/EventField"},"type":"array"},"first_name":{"description":"The first word of `display_name`","example":"John","type":"string"},"id":{"example":"attendee_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"is_organizer":{"example":false,"type":"boolean"},"last_name":{"description":"The rest of `display_name`. Empty when `display_name` is one word.","example":"Daker","type":"string"},"marketing_opt_in":{"example":false,"type":"boolean"},"phone_number":{"example":"+15555555555","nullable":true,"type":"string"},"response_status":{"enum":["accepted","tentative","needs_action","declined"],"example":"accepted","type":"string"},"time_zone":{"example":"America/New_York","type":"string"}},"required":["id","email","display_name","first_name","last_name","time_zone","response_status","is_organizer","fields","marketing_opt_in"],"title":"EventAttendee","type":"object","x-tags":["Events"]},"EventCanceledWebhook":{"description":"Emitted when an event is canceled.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"type":"event.canceled","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"type":{"enum":["event.canceled"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventCanceledWebhook","type":"object"},"WebhookListResponse":{"example":{"entries":[{"created_at":"2024-01-15T10:30:00Z","id":"wh_01J5KC8V1MKRFGT8V2WD9Y8H6X","secret":"abc123","state":"active","url":"https://example.com/webhooks/savvycal","version":"2020-11-18"},{"created_at":"2024-01-15T10:30:00Z","id":"wh_01J5KC8V1MKRFGT8V2WD9Y8H6X","secret":"abc123","state":"active","url":"https://example.com/webhooks/savvycal","version":"2020-11-18"}],"metadata":{"after":"eyJpZCI6IndlYmhvb2tfYWJjMTIzIn0","before":null,"limit":25}},"properties":{"entries":{"items":{"$ref":"#/components/schemas/Webhook"},"type":"array"},"metadata":{"$ref":"#/components/schemas/PaginationMeta"}},"required":["entries","metadata"],"title":"WebhookListResponse","type":"object"},"EmptyResponse":{"example":{},"properties":{},"title":"EmptyResponse","type":"object"},"TimeZone":{"description":"Time zone information with localized names and DST details.","example":{"abbreviation":"CST","aliases":["US/Central"],"canonical":true,"dst":false,"formatted_offset":"-06:00","generic_long_name":"Central Time","golden":true,"id":"America/Chicago","legacy":false,"long_name":"Central Standard Time","metazone":{"exemplar_city":null,"long":{"current":"Central Standard Time","daylight":"Central Daylight Time","generic":"Central Time","standard":"Central Standard Time"},"name":"America_Central","short":{"current":"CST","daylight":"CDT","generic":"CT","standard":"CST"},"territories":["001"]},"offset":-21600,"offset_std":0,"offset_utc":-21600,"period":{"from":"2023-11-05T01:00:00-05:00","until":"2024-03-10T01:59:59.999999-06:00"},"windows_zone":{"name":"Central Standard Time"}},"properties":{"abbreviation":{"description":"Time zone abbreviation (e.g., 'CST', 'CDT').","type":"string"},"aliases":{"description":"Other IDs for the zone, such as `US/Central`.","items":{"type":"string"},"type":"array"},"canonical":{"description":"Whether this is the canonical time zone identifier in the IANA database.","type":"boolean"},"dst":{"description":"Whether daylight saving time is in effect at `instant`.","type":"boolean"},"formatted_offset":{"description":"Human-readable offset (e.g., '-06:00').","type":"string"},"generic_long_name":{"description":"The generic name of the time zone's metazone (absent of any daylight saving time modifiers). For example, the generic name for US Central Time is Central Time, whereas the non-generic is either Central Daylight Time or Central Standard Time, depending on the time of year.","type":"string"},"golden":{"description":"Whether the time zone is considered a [golden zone](https://unicode.org/reports/tr35/tr35-dates.html#Using_Time_Zone_Names) in the CLDR database.","type":"boolean"},"id":{"description":"The IANA (Olson) time zone ID, such as `America/Chicago`.","type":"string"},"legacy":{"description":"Whether the time zone is a \"legacy\" zone that does not conform to the standard Olson identifier format.","type":"boolean"},"long_name":{"description":"The most specific name for the time zone's metazone, which may include daylight saving time modifiers at the specified instant. For example, the long name for US Central Time is either \"Central Daylight Time\" or \"Central Standard Time\", depending on the time of year.","type":"string"},"metazone":{"description":"A metazone is a collection of time zones that share the same behavior and same name during some period. Each metazone represents a geographic region and is useful for determining commonly-used names for time zones.\n\nFor example, the metazone for U.S. Central Time is `America_Central` and has the following long and short identifiers defined in the Unicode CLDR repository:\n\n```javascript\n{\n  \"name\": \"America_Central\",\n  \"long\": {\n    \"current\": \"Central Standard Time\",\n    \"daylight\": \"Central Daylight Time\",\n    \"generic\": \"Central Time\",\n    \"standard\": \"Central Standard Time\"\n  },\n  \"short\": {\n    \"current\": \"CST\",\n    \"daylight\": \"CDT\",\n    \"generic\": \"CT\",\n    \"standard\": \"CST\"\n  },\n  \"territories\": [\"001\"]\n}\n```\n\nSome facts to note about metazones:\n\n- There are 126 metazones.\n- There are 93 metazones that map to a single time zone.\n- There are 34 metazones that map to multiple time zones. For example, the `America_Central` metazone includes 24 distinct time zones.\n- Every metazone has one [golden zone](https://unicode.org/reports/tr35/tr35-dates.html#Using_Time_Zone_Names), which \"exemplifies\" the metazone (and is tagged with territory `\"001\"`).\n- There are 64 canonical time zones not associated with a metazone.\n","nullable":true,"properties":{"exemplar_city":{"description":"The exemplar city designated for the metazone, if applicable (e.g. Chicago).","nullable":true,"type":"string"},"long":{"description":"A collection of generic and DST-specific \"long\" names (some or all might be `null`).","nullable":true,"properties":{"current":{"nullable":true,"type":"string"},"daylight":{"nullable":true,"type":"string"},"generic":{"nullable":true,"type":"string"},"standard":{"nullable":true,"type":"string"}},"type":"object"},"name":{"description":"The identifier for the metazone (e.g. America_Central).","type":"string"},"short":{"description":"A collection of generic and DST-specific \"short\" names (some or all might be `null`).","nullable":true,"properties":{"current":{"nullable":true,"type":"string"},"daylight":{"nullable":true,"type":"string"},"generic":{"nullable":true,"type":"string"},"standard":{"nullable":true,"type":"string"}},"type":"object"},"territories":{"description":"Territory codes that use this metazone.","items":{"type":"string"},"type":"array"}},"type":"object"},"offset":{"description":"Seconds offset from UTC at `instant`, including any daylight saving time shift.","type":"integer"},"offset_std":{"description":"Seconds of daylight saving time shift at `instant`. Zero in standard time.","type":"integer"},"offset_utc":{"description":"Seconds offset from UTC in standard time.","type":"integer"},"period":{"description":"The boundaries of the current zone period (e.g. either standard time or daylight saving time).","properties":{"from":{"format":"date-time","nullable":true,"type":"string"},"until":{"format":"date-time","nullable":true,"type":"string"}},"type":"object"},"windows_zone":{"description":"Windows zones are names derived from the Microsoft Windows time zone mapping file (see [windowsZones.xml](https://github.com/unicode-org/cldr/blob/4667907abd60081c29f0b110623efc4ec545d844/common/supplemental/windowsZones.xml) in the CLDR repository). We use the zone names from this file as a fallback for `long_name` and `generic_long_name` fields when there does not exist a metazone name.","nullable":true,"properties":{"name":{"type":"string"}},"type":"object"}},"required":["abbreviation","aliases","canonical","dst","formatted_offset","generic_long_name","golden","id","legacy","long_name","offset","offset_utc","offset_std","period","windows_zone"],"title":"TimeZone","type":"object","x-tags":["Time Zones"]},"PollResponseUpdatedWebhook":{"description":"Emitted when someone updates a poll response.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"created_at":"2023-01-01T00:00:00Z","display_name":"John Doe","email":"john@example.com","first_name":"John","id":"pr_01J5KCDZ5PKRFGT8V2WD9Y8H6X","last_name":"Doe","poll":{"id":"poll_01J5KCBX3NKRFGT8V2WD9Y8H6X","name":"Meeting with John","slug":"meeting-with-john"},"slots":[{"end_at":"2023-01-01T01:00:00Z","start_at":"2023-01-01T00:00:00Z"}],"time_zone":"America/New_York"},"type":"poll.response.updated","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/PollResponse"}],"type":"object"},"type":{"enum":["poll.response.updated"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"PollResponseUpdatedWebhook","type":"object"},"EventField":{"description":"An attendee's answer to a scheduling link's custom field","example":{"id":"field_456","label":"Company size","options":[{"id":"opt_abc","value":"1-10"}],"type":"select","value":"1-10"},"properties":{"id":{"type":"string"},"label":{"type":"string"},"options":{"description":"The selected options for a `checkboxes`, `radios`, or `select` field. Empty for other field types.","items":{"$ref":"#/components/schemas/FieldOption"},"type":"array"},"type":{"enum":["short_text","long_text","checkboxes","radios","select","url","hidden"],"type":"string"},"value":{"description":"The answer as text. For a `checkboxes` field, the selected option values joined by newlines. `null` when the field has no answer.","nullable":true,"type":"string"}},"required":["id","type","label","value","options"],"title":"EventField","type":"object"},"EventCheckoutPendingWebhook":{"description":"Emitted when someone books a paid event, but is still pending checkout.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"type":"event.checkout.pending","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"type":{"enum":["event.checkout.pending"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventCheckoutPendingWebhook","type":"object"},"PollResponse":{"example":{"created_at":"2023-01-01T00:00:00Z","display_name":"John Doe","email":"john@example.com","first_name":"John","id":"pr_01J5KCDZ5PKRFGT8V2WD9Y8H6X","last_name":"Doe","poll":{"id":"poll_01J5KCBX3NKRFGT8V2WD9Y8H6X","name":"Meeting with John","slug":"meeting-with-john"},"slots":[{"end_at":"2023-01-01T01:00:00Z","start_at":"2023-01-01T00:00:00Z"}],"time_zone":"America/New_York"},"properties":{"created_at":{"format":"date-time","type":"string"},"display_name":{"type":"string"},"email":{"format":"email","type":"string"},"first_name":{"type":"string"},"id":{"type":"string"},"last_name":{"type":"string"},"poll":{"allOf":[{"$ref":"#/components/schemas/PollPreview"}],"type":"object"},"slots":{"items":{"properties":{"end_at":{"format":"date-time","type":"string"},"start_at":{"format":"date-time","type":"string"}},"required":["start_at","end_at"],"type":"object"},"type":"array"},"time_zone":{"type":"string"}},"required":["id","poll","email","display_name","first_name","last_name","time_zone","slots","created_at"],"title":"PollResponse","type":"object"},"LinkSlot":{"example":{"duration":30,"end_at":"2024-01-20T14:30:00Z","rank":1,"start_at":"2024-01-20T14:00:00Z"},"properties":{"duration":{"description":"Duration in minutes","type":"integer"},"end_at":{"format":"date-time","type":"string"},"rank":{"description":"Availability rank. `1` is the organizer's most preferred.","type":"integer"},"start_at":{"format":"date-time","type":"string"}},"required":["start_at","end_at","duration","rank"],"title":"LinkSlot","type":"object"},"WorkflowAction":{"example":{"created_at":"2024-01-15T10:30:00Z","id":"waction_01J5KCMM1VKRFGT8V2WD9Y8H6X","properties":{"recipient":"attendee","subject":"Your meeting is confirmed","template":"confirmation"},"type":"send_custom_email"},"properties":{"created_at":{"format":"date-time","type":"string"},"id":{"type":"string"},"properties":{"additionalProperties":true,"description":"Settings for the action's `type`","type":"object"},"type":{"enum":["send_custom_email","trigger_automation"],"type":"string"}},"required":["id","type","properties","created_at"],"title":"WorkflowAction","type":"object"},"ScopePreview":{"description":"Preview of a scope/team","example":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"}},"required":["id","name","slug"],"title":"ScopePreview","type":"object"},"WorkflowActionTriggeredWebhook":{"description":"Emitted when a workflow action is triggered.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"action":{"created_at":"2024-01-15T10:30:00Z","id":"waction_01J5KCMM1VKRFGT8V2WD9Y8H6X","properties":{"recipient":"attendee","subject":"Your meeting is confirmed","template":"confirmation"},"type":"send_custom_email"},"event":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"rule":{"actions":[{"created_at":"2024-01-15T10:30:00Z","id":"waction_01J5KCMM1VKRFGT8V2WD9Y8H6X","properties":{"recipient":"attendee","template":"confirmation"},"type":"send_custom_email"}],"created_at":"2024-01-15T10:30:00Z","id":"wrule_01J5KCJJ9TKRFGT8V2WD9Y8H6X","trigger_offset_amount":10,"trigger_offset_direction":"after","trigger_offset_unit":"minutes","trigger_type":"event_created"},"workflow":{"created_at":"2024-01-15T10:30:00Z","id":"wkflw_01J5KCGG7RKRFGT8V2WD9Y8H6X","name":"Send confirmation email","state":"active"}},"type":"workflow.action.triggered","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"properties":{"action":{"allOf":[{"$ref":"#/components/schemas/WorkflowAction"}],"type":"object"},"event":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"rule":{"allOf":[{"$ref":"#/components/schemas/WorkflowRule"}],"type":"object"},"workflow":{"allOf":[{"$ref":"#/components/schemas/Workflow"}],"type":"object"}},"required":["workflow","rule","action","event"],"type":"object"},"type":{"enum":["workflow.action.triggered"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"WorkflowActionTriggeredWebhook","type":"object"},"WorkflowRuleListResponse":{"example":[{"actions":[{"created_at":"2024-01-15T10:30:00Z","id":"waction_01J5KCMM1VKRFGT8V2WD9Y8H6X","properties":{"recipient":"attendee","template":"confirmation"},"type":"send_custom_email"}],"created_at":"2024-01-15T10:30:00Z","id":"wrule_01J5KCJJ9TKRFGT8V2WD9Y8H6X","trigger_offset_amount":10,"trigger_offset_direction":"after","trigger_offset_unit":"minutes","trigger_type":"event_created"},{"actions":[{"created_at":"2024-01-15T10:30:00Z","id":"waction_01J5KCMM1VKRFGT8V2WD9Y8H6X","properties":{"recipient":"attendee","template":"confirmation"},"type":"send_custom_email"}],"created_at":"2024-01-15T10:30:00Z","id":"wrule_01J5KCJJ9TKRFGT8V2WD9Y8H6X","trigger_offset_amount":10,"trigger_offset_direction":"after","trigger_offset_unit":"minutes","trigger_type":"event_created"}],"items":{"$ref":"#/components/schemas/WorkflowRule"},"title":"WorkflowRuleListResponse","type":"array"},"WorkflowRule":{"description":"A rule that triggers workflow actions based on events","example":{"actions":[{"created_at":"2024-01-15T10:30:00Z","id":"waction_01J5KCMM1VKRFGT8V2WD9Y8H6X","properties":{"recipient":"attendee","template":"confirmation"},"type":"send_custom_email"}],"created_at":"2024-01-15T10:30:00Z","id":"wrule_01J5KCJJ9TKRFGT8V2WD9Y8H6X","trigger_offset_amount":10,"trigger_offset_direction":"after","trigger_offset_unit":"minutes","trigger_type":"event_created"},"properties":{"actions":{"items":{"$ref":"#/components/schemas/WorkflowAction"},"type":"array"},"created_at":{"format":"date-time","type":"string"},"id":{"type":"string"},"trigger_offset_amount":{"description":"How long before or after the trigger the actions run, in `trigger_offset_unit`","type":"integer"},"trigger_offset_direction":{"enum":["before","after"],"type":"string"},"trigger_offset_unit":{"enum":["minutes","hours","days"],"type":"string"},"trigger_type":{"enum":["event_created","event_started","event_ended"],"type":"string"}},"required":["id","trigger_type","trigger_offset_amount","trigger_offset_unit","trigger_offset_direction","created_at","actions"],"title":"WorkflowRule","type":"object"},"SingleTimeZoneResponse":{"allOf":[{"$ref":"#/components/schemas/TimeZone"}],"example":{"abbreviation":"CST","aliases":["US/Central"],"canonical":true,"dst":false,"formatted_offset":"-06:00","generic_long_name":"Central Time","golden":true,"id":"America/Chicago","legacy":false,"long_name":"Central Standard Time","metazone":{"exemplar_city":null,"long":{"current":"Central Standard Time","daylight":"Central Daylight Time","generic":"Central Time","standard":"Central Standard Time"},"name":"America_Central","short":{"current":"CST","daylight":"CDT","generic":"CT","standard":"CST"},"territories":["001"]},"offset":-21600,"offset_std":0,"offset_utc":-21600,"period":{"from":"2023-11-05T01:00:00-05:00","until":"2024-03-10T01:59:59.999999-06:00"},"windows_zone":{"name":"Central Standard Time"}},"title":"SingleTimeZoneResponse"},"LinkField":{"description":"A custom field for a scheduling link","example":{"id":"field_123","is_required":true,"label":"Company size","options":[{"id":"opt_abc","value":"1-10"},{"id":"opt_def","value":"11-50"}],"type":"select"},"properties":{"id":{"type":"string"},"is_required":{"type":"boolean"},"label":{"type":"string"},"options":{"description":"The choices for a `checkboxes`, `radios`, or `select` field. Empty for other field types.","items":{"$ref":"#/components/schemas/FieldOption"},"type":"array"},"type":{"enum":["short_text","long_text","checkboxes","radios","select","url","hidden"],"type":"string"}},"required":["id","label","type","is_required","options"],"title":"LinkField","type":"object"},"EventAttendeeCanceledWebhook":{"description":"Emitted when someone cancels their attendance for an event.","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"attendee":{"display_name":"John Daker","email":"jdaker@example.com","fields":[],"first_name":"John","id":"attendee_7RDQF0G5VT8PAV4ERN90B5Q27Y","is_organizer":false,"last_name":"Daker","marketing_opt_in":false,"phone_number":"+15555555555","response_status":"accepted","time_zone":"America/New_York"},"event":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"}},"type":"event.attendee.canceled","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"properties":{"attendee":{"allOf":[{"$ref":"#/components/schemas/EventAttendee"}],"type":"object"},"event":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"}},"required":["event","attendee"],"type":"object"},"type":{"enum":["event.attendee.canceled"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventAttendeeCanceledWebhook","type":"object"},"Unauthorized":{"description":"The request has no valid access token. The body is JSON when the `Accept` header includes `json`, and the plain text `Unauthenticated` otherwise.","example":{"errors":["Unauthenticated"]},"properties":{"errors":{"items":{"type":"string"},"type":"array"}},"required":["errors"],"title":"Unauthorized","type":"object"},"CreateLinkRequest":{"example":{"description":"A brief meeting to discuss your needs","name":"My New Link","private_name":"Internal meeting name","type":"recurring"},"properties":{"description":{"description":"The short description visible on the scheduling link.","nullable":true,"type":"string"},"name":{"type":"string"},"private_name":{"description":"The private name of the link (not visible to schedulers).","nullable":true,"type":"string"},"slug":{"description":"The URL slug for the link. Letters, numbers, and dashes only, and unique within the scope. A random slug is generated when omitted.","type":"string"},"type":{"default":"recurring","description":"Either `recurring` for Multi-Use links, or `single` for Single-Use links.","enum":["recurring","single"],"type":"string"}},"required":["name"],"title":"CreateLinkRequest","type":"object"},"Poll":{"example":{"created_at":"2024-01-15T10:30:00Z","description":"Let's find a time to meet!","duration":30,"id":"poll_01J5KCBX3NKRFGT8V2WD9Y8H6X","name":"Meeting with John","publicize_responses":true,"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"slots":[{"end_at":"2024-01-20T14:30:00Z","rank":1,"start_at":"2024-01-20T14:00:00Z","votes":1}],"slug":"meet","state":"published","url":"https://savvycal.com/p/john/meet"},"properties":{"created_at":{"format":"date-time","type":"string"},"description":{"nullable":true,"type":"string"},"duration":{"description":"Duration in minutes","type":"integer"},"id":{"type":"string"},"name":{"type":"string"},"publicize_responses":{"type":"boolean"},"scope":{"allOf":[{"$ref":"#/components/schemas/ScopePreview"}],"type":"object"},"slots":{"items":{"properties":{"end_at":{"format":"date-time","type":"string"},"rank":{"type":"integer"},"start_at":{"format":"date-time","type":"string"},"votes":{"type":"integer"}},"required":["start_at","end_at","votes","rank"],"type":"object"},"type":"array"},"slug":{"type":"string"},"state":{"enum":["draft","published","complete","deleted"],"type":"string"},"url":{"type":"string"}},"required":["id","state","slug","name","description","duration","url","publicize_responses","scope","slots","created_at"],"title":"Poll","type":"object"},"EventCreatedWebhook":{"description":"Emitted when someone schedules a new event (or when approval is granted by the organizer on an event that requires approval).","example":{"id":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","occurred_at":"2024-01-15T10:30:00Z","payload":{"canceled_at":null,"rescheduled_at":null,"location_settings":[{"instance_id":"1234567890","type":"zoom"}],"description_settings":{"include_attendees":true,"include_fields":false,"include_link_name":true},"location":"Zoom meeting","buffer_before":15,"additional_info":"Please prepare project overview","duration":30,"uuid":"550e8400-e29b-41d4-a716-446655440000","reschedule_reason":null,"conferencing":{"instructions":"Click the link to join","join_url":"https://zoom.us/j/123456789","meeting_id":"123456789","type":"zoom"},"link":{"description":"<p>Discussing project requirements</p>","id":"link_01J5KC2G3MHPCECSQ6KM6FMDPC","name":"30 Minute Meeting","private_name":null,"slug":"30min"},"poll":null,"summary":"30 Minute Meeting with John Doe","original_end_at":null,"description":"<p>Discussing project requirements</p>","id":"event_01KKGY70MFPCECSQ6KM6FMDPC3","cancel_reason":null,"organizer":{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},"is_group_session":false,"original_start_at":null,"start_at":"2024-01-20T14:00:00Z","url":"https://savvycal.com/events/event_01KKGY70MFPCECSQ6KM6FMDPC3","payment":{"amount_total":1000,"state":"paid","url":"https://dashboard.stripe.com/acct_XYZ/payments/xxxxxxxxx"},"maximum_group_size":1,"end_at":"2024-01-20T14:30:00Z","state":"confirmed","attendees":[{"display_name":"John Doe","email":"john@example.com","fields":[],"first_name":"John","id":"attendee_01J5KCPP3XKRFGT8V2WD9Y8H6X","is_organizer":true,"last_name":"Doe","marketing_opt_in":false,"phone_number":null,"response_status":"accepted","time_zone":"America/New_York"},{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"}],"scheduler":{"display_name":"Jane Smith","email":"jane@example.com","fields":[],"first_name":"Jane","id":"attendee_01J5KCRR5ZKRFGT8V2WD9Y8H6X","is_organizer":false,"last_name":"Smith","marketing_opt_in":true,"phone_number":"+1234567890","response_status":"accepted","time_zone":"America/New_York"},"scope":{"id":"scope_01J5KC4R7NHQFGT8V2WD9Y8H6X","name":"Sales Team","slug":"sales"},"buffer_after":0,"metadata":{},"created_at":"2024-01-15T10:30:00Z"},"type":"event.created","version":"2020-11-18"},"properties":{"id":{"example":"payload_7RDQF0G5VT8PAV4ERN90B5Q27Y","type":"string"},"occurred_at":{"example":"2024-01-15T10:30:00Z","format":"date-time","type":"string"},"payload":{"allOf":[{"$ref":"#/components/schemas/Event"}],"type":"object"},"type":{"enum":["event.created"],"type":"string"},"version":{"example":"2020-11-18","type":"string"}},"required":["type","id","version","occurred_at","payload"],"title":"EventCreatedWebhook","type":"object"},"PollPreview":{"example":{"id":"poll_01J5KCBX3NKRFGT8V2WD9Y8H6X","name":"Meeting with John","slug":"meeting-with-john"},"properties":{"id":{"type":"string"},"name":{"type":"string"},"slug":{"type":"string"}},"required":["id","name","slug"],"title":"PollPreview","type":"object"}},"securitySchemes":{"OAuth2":{"description":"OAuth 2.0 authorization code flow","flows":{"authorizationCode":{"authorizationUrl":"/oauth/authorize","scopes":{},"tokenUrl":"/oauth/token"}},"type":"oauth2"},"PersonalAccessToken":{"bearerFormat":"pt_secret_XXXXXXXXX","description":"Personal access token authentication","scheme":"bearer","type":"http"},"PublicKey":{"bearerFormat":"pt_XXXXXXXXX","description":"The public key of a personal access token. Only the time zone endpoints accept it.","scheme":"bearer","type":"http"}}},"info":{"title":"SavvyCal Meetings API","version":"1.0.0"},"openapi":"3.0.0","paths":{"/v1/events":{"get":{"callbacks":{},"description":"When any filter value is invalid, such as an unparseable date, every filter uses its default.","operationId":"listEvents","parameters":[{"in":"query","name":"limit","schema":{"default":20,"maximum":100,"minimum":1,"type":"integer"}},{"description":"Returns the entries after this cursor, from `metadata.after` in a previous response.","in":"query","name":"after","schema":{"type":"string"}},{"description":"Returns the entries before this cursor, from `metadata.before` in a previous response.","in":"query","name":"before","sc
[...]
